> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause a transaction in the ACH application ( STABLE )

> This endpoint allows to pause a transaction in the GrailPay ACH API Ecosystem.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json post /api/v3/transactions/{uuid}/pause
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /api/v3/transactions/{uuid}/pause:
    post:
      tags:
        - Transactions
        - Stable
      summary: Pause a transaction in the ACH application ( STABLE )
      description: >-
        This endpoint allows to pause a transaction in the GrailPay ACH API
        Ecosystem.
      operationId: 6d96bf444c9ac9662a061d0b097fe547
      parameters:
        - name: uuid
          in: path
          description: The UUID of the transaction to pause.
          required: true
          schema:
            type: string
            format: uuid
            example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      responses:
        '200':
          description: The response returned from a successful call to pause a transaction.
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: This transaction has been successfully paused.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  request_id:
                    type: string
                    format: uuid
                    example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
                type: object
        '400':
          description: 400 - Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V3ErrorInvalidAcceptHeader400'
        '401':
          description: 401 - Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/V3ErrorInvalidToken401'
                  - $ref: '#/components/schemas/V3ErrorUnauthorized401'
        '403':
          description: 403 - Forbidden
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    oneOf:
                      - example: >-
                          The payout for this transaction has already been
                          created and it is not eligible to be paused.
                      - example: >-
                          This transaction has already been canceled and is not
                          eligible to be paused.
                      - example: >-
                          This transaction has already failed and is not
                          eligible to be paused.
                      - example: This transaction is already paused.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  request_id:
                    type: string
                    format: uuid
                    example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
                type: object
        '404':
          description: 404 - Not Found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: No transaction was found matching that UUID.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  request_id:
                    type: string
                    format: uuid
                    example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
                type: object
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V3ErrorIdempotency409'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Something went wrong on our side. Please contact support.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  request_id:
                    type: string
                    format: uuid
                    example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    V3ErrorInvalidAcceptHeader400:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid value provided for Accept header.
        data:
          type: object
          example: null
          nullable: true
        errors:
          type: object
          example: null
          nullable: true
        request_id:
          type: string
          format: uuid
          example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
      type: object
    V3ErrorInvalidToken401:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid token.
        data:
          type: object
          example: null
          nullable: true
        errors:
          type: object
          example: null
          nullable: true
        request_id:
          type: string
          format: uuid
          example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
      type: object
    V3ErrorUnauthorized401:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: This action is unauthorized.
        data:
          type: object
          example: null
          nullable: true
        errors:
          type: object
          example: null
          nullable: true
        request_id:
          type: string
          format: uuid
          example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
      type: object
    V3ErrorIdempotency409:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            The request cannot be executed due to a detected conflict with a
            duplicate request.
        data:
          type: object
          example: null
          nullable: true
        errors:
          type: object
          example: null
          nullable: true
        request_id:
          type: string
          format: uuid
          example: 2d6a4c39-8fcf-4d80-9189-b4764eac31f2
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````